
%global commit 91d71851b883c23ddb717c9e99d449d10cb38bc9
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           pgXplorer
Version:        0.0.1
Release:        1%{?dist}
Summary:        An administration client for PostgreSQL versions 8.4 and above.
Group:          Development/Tools
License:        ISC
URL:            https://github.com/pgXplorer/pgXplorer/
Source0:        https://github.com/pgXplorer/pgXplorer/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz

Patch0:         pgXplorer-0.0.1-fedora-compat.patch

BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtsvg-devel
BuildRequires:  postgresql-devel
BuildRequires:  libharu-devel
BuildRequires:  zlib-devel
BuildRequires:  desktop-file-utils

%description
An administration client for PostgreSQL versions 8.4 and above.

%prep
%setup -qn %{name}-%{commit}
%patch0 -p1


%build
qmake-qt5 PREFIX=%{_prefix}
make %{?_smp_mflags}

%install
make INSTALL_ROOT=$RPM_BUILD_ROOT install

desktop-file-install --dir $RPM_BUILD_ROOT%{_datadir}/applications\
      $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%post

%postun

%posttrans



%files
%doc README LICENSE CREDITS
%{_bindir}/PGXplorer
%{_datadir}/applications/%{name}.desktop

%changelog
* Mon Mar 03 2014 Jozef Mlich <jmlich@redhat.com> - 0.0.1-1
- initial RPM release
